Subject: Re: [Spits] High compression pistons and smog test

From: "Joe Guinan" <[email-masked]>
Date: Mon, 02 Sep 2013 20:59:38 -0400

What am I missing here? B I was under the assumption that the 1976 Spits all had flat top pistons - yeilding higher compression. B Were the California Spits different? The info provided on the heads by others responding seems correct according to my notes. B Is it possible this is a 1975 or 1977 Spit titled as a 1976? B Do the wheels have the "squared oval" holes or the round ones? B I believe the squared oval holes only came on the 1976 Spits (and some other Triumph... Marina?) B Maybe the engine was blown up and replaced by a previous owner?

At any rate, I think you would probably have no trouble running flat top pistons - whether or not you shave the head, but especially if you don't.

Joe Guinan
Fremont, NE
NASS Member #31
[email-masked]
------------------------------Original Message------------------------------

> >>>> Message: 1
> >>>> Date: Sun, 25 Aug 2013 17:14:21 -0700
> >>>> From: Hans <[email-masked]>
> >>>> To: [email-masked]
> >>>> Subject: [Spits] High compression pistons and smog test
> >>>> Message-ID: <[email-masked]>
> >>>> Content-Type: text/plain; charset=us-ascii
> >>>>
> >>>> I am rebuilding my California 1976 spitfire's engine and considering using
> >>>> Moss's HC flat top pistons instead of the LC (dished) ones. I have been told
> >>>> that I risk failing the NOx smog test max requirement. I understand that this
> >>>> is due to the combustion chamber's temperature potentially exceeding 2500
> >>>> degrees , which generates NOx. Assuming the EGR to function perfectly and the
> >>>> fuel mixture to a bit rich, is this still potentially a high risk problem?
> >>>> There must be a few a guys out there that have been tempted to do this to get
> >>>> the nearly 20 extra hp. That is so badly needed.
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive